groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cédric Champeau <cedric.champ...@gmail.com>
Subject Re: New Groovy parser now on JDK 1.7
Date Mon, 30 Jan 2017 18:56:43 GMT
I should have said it, but it's *only* if parrot final is shipped in 3.0.
If it's in 2.5, then I have no problem with it.

2017-01-30 18:47 GMT+01:00 Cédric Champeau <cedric.champeau@gmail.com>:

> This is nice, but I'm sorry to say I'm still against integrating into 2.5.
> There seemed to be a consensus to ship it in 2.9, though.
>
> 2017-01-30 18:37 GMT+01:00 Jesper Steen Møller <jesper@selskabet.org>:
>
>> Hi List
>>
>> FWIW, I took the liberty of vandalising the Antlr4 'parrot' parser from
>> its Java 8 style into Java 7.
>>
>> The result is found in: https://github.com/apache/groovy/pull/485
>> Travis tested using JDK8 and passed, my own build on Java 7 (On OS X)
>> passes too.
>>
>> This would make the parser ready for adoption in Groovy 2.5.
>>
>> Kind regards
>> Jesper
>>
>>
>

Mime
View raw message